Problema na atualização de pacotes Pronto 0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados

Olá comunidade, eu preciso de ajuda, uso o Pop!_OS 20.04 LTS e estou com 1 problema na atualização dos pacotes. alguém por favor sabe como eu consigo identificar qual é o pacote que não está atualizando e como consigo atualizar ele, eu já tentei o comando abaixo:

sudo apt update && apt upgrade -y

Toda vez a saída é:

Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
Calculando atualização… Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.

Às vezes isso acontece comigo no KDE Neon, Mint ou Debian.

Em geral, é 1 pacote cuja atualização quebraria o sistema, por falta (indisponibilidade) de alguma dependência no repositório.

Dias depois, aparece a dependência e o pacote atualiza.

1 Curtida

Dá uma olhada aqui - pode ser um repositório de terceiro quebrado ou uma dependência faltando

Verifique erros no update por problemas com repositórios e se ele pede pra rodar o sudo apt fix-install (não lembro se a sintaxe é exatamente essa ou se é sudo apt install -f), pode conferir, @frc_kde?

1 Curtida

sudo apt update && apt upgrade -y

Ah, ali seria sudo apt update && sudo apt upgrade -y

2 Curtidas

Para consertar pacotes quebrados ou dependências ausentes, em geral uso isso:

sudo apt-get install -f -y

Nunca consigo lembrar as diferenças entre apt e apt-get… Pesquiso bastante, uma vez, encontro o comando mais adequado, depois salvo e continuo usando :innocent:

2 Curtidas

@Rodrigo_Chile e @frc_kde após eu usar o comando no terminal a saída foi:

Atingido:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu focal InRelease
Atingido:3 http://ppa.launchpad.net/git-core/ppa/ubuntu focal InRelease
Atingido:4 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu focal InRelease
Atingido:5 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu focal InRelease
Atingido:6 https://packages.microsoft.com/repos/ms-teams stable InRelease
Atingido:7 http://ppa.launchpad.net/system76/pop/ubuntu focal InRelease
Ign:8 http://repo.vivaldi.com/snapshot/deb stable InRelease
Atingido:9 http://repo.vivaldi.com/snapshot/deb stable Release
Atingido:10 https://deb.nodesource.com/node_12.x focal InRelease
Atingido:12 http://br.archive.ubuntu.com/ubuntu focal InRelease
Atingido:13 http://apt.pop-os.org/proprietary focal InRelease
Obter:14 http://br.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]
Atingido:15 http://packages.microsoft.com/repos/edge stable InRelease
Obter:16 http://br.archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]
Obter:17 http://br.archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [264 kB]
Obter:18 http://security.ubuntu.com/ubuntu focal-security InRelease [109 kB]
Obter:19 http://br.archive.ubuntu.com/ubuntu focal-updates/main DEP-11 48x48 Icons [51,7 kB]
Obter:20 http://br.archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [302 kB]
Obter:21 http://br.archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [2.468 B]
Obter:22 http://br.archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [1.768 B]
Baixados 946 kB em 10s (95,9 kB/s)
Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
All packages are up to date.
Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
Calculando atualização… Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.

permanece sem atualizar esse 1 pacote.

Não tem erros de PPA, menos mal

E a saída do comando

sudo apt install -f?

1 Curtida

Bacana, eu conseguir chegar no local, porém não sei qual é o ppa que está quebrado, para poder tentar atualizar ou remover de vez. Tem um botão Restaurar Padrões, você recomendar eu clicar nele?

1 Curtida

Os PPAs parecem íntegros. Tem erro é num dos pacotes que não atualizou. Agora é tentar consertar. Se não alterar, aí é esperar um tempo pra ver se vem a att que faça isso

1 Curtida

@Rodrigo_Chile depois de usar o comando: sudo apt install -f a saída foi:

Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.

1 Curtida

Então, o jeito é esperar pra vir a atualização que faça o reparo ou ver se alguém tem uma sugestão melhor (que provavelmente envolve reparar o dkpg, o que vai além do meu conhecimento)

1 Curtida

@Rodrigo_Chile e @frc_kde obrigado pelas dicas e ajuda prestada, eu espero que alguém que já passou pelo mesmo problema veja o post e consiga me ajudar!!

1 Curtida

@frc_kde ele permaneceu com o mesmo erro, após usar o comando: sudo apt-get install -f -y, a saída foi:

Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.

Vê se com este comando vai: sudo apt full-upgrade

1 Curtida

@JG22 após usar o comando sudo apt full-upgrade: a saída foi:

Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
Calculando atualização… Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.

Permanece o erro.

Encontrei o exemplo que me aconteceu uma vez ─ de 1 pacote que não atualizava de jeito nenhum, quando eu clicava em “Mark all upgrades” no Synaptic:

Note que, antes de abrir o Synaptic, eu costumo executar o apt update ─ que me permite “ver” se algum repositório der problema:

Em seguida, esse comando para listar os pacotes atualizáveis:

$ apt list --upgradable

Deve dizer qual é o pavão misterioso, digo, qual o pacote renitente.

Gosto do Synaptic, porque bastaria clicar com o botão direito do mouse sobre o pacote teimoso, e verificar suas dependências, seus dependentes etc.

Também com o botão direito, mandar atualizar ─ e aí, deve aparecer uma mensagem dizendo por qual motivo ele não pode ser atualizado.

2 Curtidas

@frc_kde No Synaptic quando eu clico em recarregar exibe essa informação, eu repetir o processo mais de uma vez e exibe a falha no Vivaldi:

A saída do comando apt list --upgradable foi:

Listing… Pronto

Permanece sem solução, ao tentar atualizar com o comando sudo apt update exibe a informação:

Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
Calculando atualização… Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.

1 Curtida

O comando é:

apt list --upgradable

Eu também tinha notado a falha ao recarregar as informações do respositório do Vivaldi.

Mas o Synaptic deve exibir o nome do pacote. Qual é ele?

1 Curtida

Eu corrigir o post acima, o comando que eu executei foi correto como você apresentou apt list --upgradable e a saída foi aquela mesmo Listing… Pronto, a falha foi minha, no momento de digitar no smartphone para depois fazer o post.

1 Curtida